Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Enumerations | Functions
help_url.h File Reference

Go to the source code of this file.

## Enumerations
enum | topic_action_e { TOPIC_ACTION_NONE, ONLINEPAGE_HOME, ONLINEPAGE_WIKI, ONLINEPAGE_USERGUIDE, ONLINEPAGE_FAQ, ONLINEPAGE_DOWNLOAD, ONLINEPAGE_DOCS, ONLINEPAGE_SAMPLE_FILES, ONLINEPAGE_CAPTURE_SETUP, ONLINEPAGE_NETWORK_MEDIA, ONLINEPAGE_SAMPLE_CAPTURES, ONLINEPAGE_SECURITY, ONLINEPAGE_CHIMNEY, ONLINEPAGE_ASK, LOCALPAGE_MAN_WIRESHARK = 100, LOCALPAGE_MAN_WIRESHARK_FILTER, LOCALPAGE_MAN_CAPINFOS, LOCALPAGE_MAN_DUMPCAP, LOCALPAGE_MAN_EDITCAP, LOCALPAGE_MAN_MERGECAP, LOCALPAGE_MAN_RAWSHARK, LOCALPAGE_MAN_REORDERCAP, LOCALPAGE_MAN_TEXT2PCAP, LOCALPAGE_MAN_TSHARK, HELP_CONTENT = 200, HELP_GETTING_STARTED, HELP_CAPTURE_OPTIONS_DIALOG, HELP_CAPTURE_FILTERS_DIALOG, HELP_DISPLAY_FILTERS_DIALOG, HELP_FILTER_EXPRESSION_DIALOG, HELP_COLORING_RULES_DIALOG, HELP_CONFIG_PROFILES_DIALOG, HELP_MANUAL_ADDR_RESOLVE_DIALOG, HELP_PRINT_DIALOG, HELP_FIND_DIALOG, HELP_FILESET_DIALOG, HELP_FIREWALL_DIALOG, HELP_GOTO_DIALOG, HELP_CAPTURE_INTERFACES_DIALOG, HELP_CAPTURE_MANAGE_INTERFACES_DIALOG, HELP_ENABLED_PROTOCOLS_DIALOG, HELP_ENABLED_HEURISTICS_DIALOG, HELP_DECODE_AS_DIALOG, HELP_DECODE_AS_SHOW_DIALOG, HELP_FOLLOW_STREAM_DIALOG, HELP_SHOW_PACKET_BYTES_DIALOG, HELP_EXPERT_INFO_DIALOG, HELP_EXTCAP_OPTIONS_DIALOG, HELP_STATS_SUMMARY_DIALOG, HELP_STATS_PROTO_HIERARCHY_DIALOG, HELP_STATS_ENDPOINTS_DIALOG, HELP_STATS_CONVERSATIONS_DIALOG, HELP_STATS_IO_GRAPH_DIALOG, HELP_STATS_COMPARE_FILES_DIALOG, HELP_STATS_LTE_MAC_TRAFFIC_DIALOG, HELP_STATS_LTE_RLC_TRAFFIC_DIALOG, HELP_STATS_TCP_STREAM_GRAPHS_DIALOG, HELP_STATS_WLAN_TRAFFIC_DIALOG, HELP_CAPTURE_INTERFACE_OPTIONS_DIALOG, HELP_CAPTURE_INTERFACES_DETAILS_DIALOG, HELP_PREFERENCES_DIALOG, HELP_CAPTURE_INFO_DIALOG, HELP_EXPORT_FILE_DIALOG, HELP_EXPORT_BYTES_DIALOG, HELP_EXPORT_OBJECT_LIST, HELP_OPEN_DIALOG, HELP_MERGE_DIALOG, HELP_IMPORT_DIALOG, HELP_SAVE_DIALOG, HELP_EXPORT_FILE_WIN32_DIALOG, HELP_EXPORT_BYTES_WIN32_DIALOG, HELP_OPEN_WIN32_DIALOG, HELP_MERGE_WIN32_DIALOG, HELP_SAVE_WIN32_DIALOG, HELP_TIME_SHIFT_DIALOG, HELP_FILTER_SAVE_DIALOG, HELP_TELEPHONY_VOIP_CALLS_DIALOG, HELP_RTP_ANALYSIS_DIALOG, HELP_NEW_PACKET_DIALOG, HELP_IAX2_ANALYSIS_DIALOG, HELP_TELEPHONY_RTP_PLAYER_DIALOG }

## Functions
const char * | topic_online_url (topic_action_e action)
gchar * | user_guide_url (const gchar *page)
gchar * | topic_action_url (topic_action_e action)
void | topic_action (topic_action_e topic)

## Detailed Description

"Help" URLs.

## Function Documentation

void topic_action | ( | topic_action_e | topic | ) |

Open a specific topic (create a "Help" dialog box or open a webpage).

Parameters

  topic | the topic to display

gchar* topic_action_url | ( | topic_action_e | action | ) |

Given a topic action return its URL. On Windows an attempt will be made to open User Guide URLs with HTML Help. If the attempt succeeds NULL will be returned.

Parameters

  action | Topic action.

Returns
  A static URL or NULL. A non-NULL return value must be freed with g_free().

const char* topic_online_url | ( | topic_action_e | action | ) |

Given a topic action return its online (www.wireshark.org) URL or NULL.

Parameters

  action | Topic action, e.g. ONLINEPAGE_HOME or ONLINEPAGE_ASK.

Returns
  A static URL or NULL. MUST NOT be freed.

gchar* user_guide_url | ( | const gchar * | page | ) |

Given a page in the Wireshark User's Guide return its URL. On Windows an attempt will be made to open User Guide URLs with HTML Help. If the attempt succeeds NULL will be returned.

Parameters

  page | A page in the User's Guide.

Returns
  A static URL or NULL. A non-NULL return value must be freed with g_free().